XmlSpecialForm (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.syntax

## Class XmlSpecialForm

- java.lang.Object
- - hlt.language.syntax.XmlSpecialForm

-     public class XmlSpecialForm
      extends java.lang.Object

  The class `XmlSpecialForm` represents objects denoting some text value to be computed at parse time from the CST and XML tree being built. A special form may be one of the following expressions:
  - `$VALUE`
  - `$TEXT ( arg1 ... argn )`
  where each `argi` is an `XmlTextInfoArg`.
  Version:
    Last modified on Fri Apr 13 20:22:18 2012 by hak
  Author:
    Hassan Aït-Kaci
  Copyright:
    © by the author

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlSpecialForm(ArrayList textArgs)` Constructs an `XmlSpecialForm` denoting a text form with the given `ArrayList` of `XmlTextInfoArg` arguments.
    `XmlSpecialForm(XmlTextInfoArg[] textArgs)` Constructs an `XmlSpecialForm` denoting a text form with the given `XmlTextInfoArg[]` array of arguments.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isValue()` Returns `true` iff this denotes a terminal value.
    `XmlTextInfoArg[]` | `textArgs()` Returns the `textArgs[]` array.
    `java.lang.String` | `toString()` Returns a `String` form of this `XmlSpecialForm`.
    `static XmlSpecialForm` | `value()` Returns the canonical `XmlSpecialForm` denoting a terminal value.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlSpecialForm

          public XmlSpecialForm(XmlTextInfoArg[] textArgs)

      Constructs an `XmlSpecialForm` denoting a text form with the given `XmlTextInfoArg[]` array of arguments.

    - #### XmlSpecialForm

          public XmlSpecialForm(ArrayList textArgs)

      Constructs an `XmlSpecialForm` denoting a text form with the given `ArrayList` of `XmlTextInfoArg` arguments.

  - ### Method Detail

    - #### value

          public static XmlSpecialForm value()

      Returns the canonical `XmlSpecialForm` denoting a terminal value.

    - #### isValue

          public boolean isValue()

      Returns `true` iff this denotes a terminal value.

    - #### textArgs

          public XmlTextInfoArg[] textArgs()

      Returns the `textArgs[]` array.

    - #### toString

          public final java.lang.String toString()

      Returns a `String` form of this `XmlSpecialForm`.
      Overrides:
        `toString` in class `java.lang.Object`